commit:     eb91df6bb6774a75ef4c33b7bc5fe9f79e67c3bf
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  8 14:44:00 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Mar  8 14:57:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb91df6b

app-crypt/acme: 0.22.0 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-crypt/acme/Manifest           |  1 +
 app-crypt/acme/acme-0.22.0.ebuild | 47 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/app-crypt/acme/Manifest b/app-crypt/acme/Manifest
index 181aff4bd4c..b4c530a82a8 100644
--- a/app-crypt/acme/Manifest
+++ b/app-crypt/acme/Manifest
@@ -1,2 +1,3 @@
 DIST certbot-0.20.0.tar.gz 1108139 BLAKE2B 
6af07dd245912741592761bd11160c081e278e5f48b69747669aa6146d81cc7ad6f0d9c7b4bf31ad137d51bd378f670e5e5d7318efe7b3b5463d52515a5df257
 SHA512 
92c128bc955a576a1eb568d39b3a5568f9bd841acefaa455d716ce5036312d0ad67b3dcfcf960b15abdd39c1f34f82ffe2ebca0722628c5c804fc5472a6c0546
 DIST certbot-0.21.1.tar.gz 1105663 BLAKE2B 
7c36ec0504a144a2325528079374d103f6214252c01ba0bcaf26378950fe5cd54010abe756d80b1c0c30740442a184417f0b2bd7ffea91edeb70c59dfee2349e
 SHA512 
6f3ffba7dc06bcc2a6b9835906331753ee2715192e7a49562314480069f22e4a66bb26f04dc4bbdfb0ab40998220d0c9b77fb0351e042116b02996fb2da699d2
+DIST certbot-0.22.0.tar.gz 1128134 BLAKE2B 
d4874bca6ac9f992d54b8fbab975bc020f448ed83896d0088c8ba0f1547fbc02a783038992408b9090fde4ad8386c81d85511094abcd42bc79b8883f05d4600c
 SHA512 
406810e29a2637c420b9a8a3feb3a2ffb77bd740419cbcf46d10ab152a7252c765c058481b2a1f9a96cc426a9ae018bf90540fc0ebd54be1c8822c528cf1b605

diff --git a/app-crypt/acme/acme-0.22.0.ebuild 
b/app-crypt/acme/acme-0.22.0.ebuild
new file mode 100644
index 00000000000..61035085637
--- /dev/null
+++ b/app-crypt/acme/acme-0.22.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+       S=${WORKDIR}/${P}/${PN}
+else
+       SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> 
certbot-${PV}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+       S=${WORKDIR}/certbot-${PV}/acme
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of the ACME protocol"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
+       >=dev-python/josepy-1.0.0[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.10[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+       >=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
+"
+
+python_test() {
+       nosetests -w ${PN} || die
+}

Reply via email to